China factories

Artistic Lamps Nordic Bedroom Pendant Lamps Modern Creative Leather Chandelier

Price: $13.3 - $14.4/ Set Get Latest Price
  • Brand Name: JYLIGHTING
  • Model Number: JYL-0006
  • Minimum Order Quantity: 5 pcs
  • Delivery Time: 15 days after received the advance payment
  • view more

Nordic Danish pendant lamp Bedside dining room lamp simple Balloon Pendant Lamp(WH-GP-138)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House (LTCELE)
  • Model Number: WH-GP-138
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

Custom Large Modern Simple Hand Blown Glass Pendant Light Nordic Creative Ceiling Lamp For Hotel Lobby Restaurant

Price: Negotiable Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: Negotiable
  • Minimum Order Quantity: 10pcs
  • Delivery Time: 25-30days or confirm
  • view more

Nordic Light Luxury Chandelier Creative gold hang lamp decorative glass pendant lamp

Price: L120*W120*H120mm , 1piece, 19.45USD Get Latest Price
  • Brand Name: BOLITE
  • Model Number: B2016
  • Minimum Order Quantity: 5Pieces
  • Delivery Time: 7-25DAYS
  • view more

Hose Pen Holder Desk Lamp Home Special Gift Nordic LED Table Lamp Usb Battery Book Light Study Table Lamp for Dorm

Price: Good price Get Latest Price
  • Brand Name: DY
  • Model Number: NO.2688
  • Minimum Order Quantity: 1 Carton
  • Delivery Time: 5days
  • view more

DIY black modern led ring pendant lamp led ring chandelier droplight ceiling lamp for hotel decoration

Price: Negotiable Get Latest Price
  • Brand Name: AIA LED
  • Model Number: PD801-B
  • Minimum Order Quantity: 30PCS
  • Delivery Time: 15-35days of LED Pendant light
  • view more

Nordic Style Crystal Pendant Lamp with LED Lighting and Customizable Color Glass Ball Chandelier

Price: $899.99-999.99 Get Latest Price
  • Brand Name: Yihao
  • Model Number: Ym-115129951
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

110-240V Voltage Customized Pendant Lamp with Metal Finish and Craftsmanship

Price: Negotiable Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps

Price: Negotiable(very competitive) Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: 20 days to 50 days after received the deposit.
  • view more

Creative Decorative Lamp Bedroom Bedside Lamp Net Red Gift Plug Rattan Ball Led Small Night Light

Price: 15 Get Latest Price
  • Brand Name: Zhengming
  • Model Number: NO1
  • Minimum Order Quantity: 100
  • Delivery Time: 20
  • view more

Complete Cable Suspension Kit Stainless Steel Wire Rope 1.5mm Hanging System for LED Pendant Lamp Fixtures

Price: USD 1.45 - 1.65 / Set Get Latest Price
  • Brand Name: YuYang
  • Model Number: YuYang-1.5MM
  • Minimum Order Quantity: 100 Sets
  • Delivery Time: 7-15 working days after deposit
  • view more

Flying Dragon Breathing Fire Night Light, 3D Printed Lighting Fixtures Creative Table Lamp

Price: Negotiable Get Latest Price
  • Brand Name: ZhouZhen
  • Model Number: Negotiable
  • Minimum Order Quantity: One Piece
  • Delivery Time: 5-8 work days
  • view more

Modern White Cloud Chandelier Light Cloud Pendant Lamp Floating Cloud Lamp

Price: Negotiable Get Latest Price
  • Brand Name: HAFE
  • Model Number: CL15
  • Minimum Order Quantity: 1unit
  • Delivery Time: 5-8 Working Days
  • view more

Hafe International Limited

Hong kong ,Hong kong

  • 9YRS
  • Verified Supplier

Small Waist Bedroom Wall Lamp Waterproof Creative Wall Lamp Black / White / Gold

Price: $7.2 Get Latest Price
  • Brand Name: JMKMGL
  • Model Number: JMK-YG1
  • Minimum Order Quantity: 2
  • Delivery Time: Depends on QTY
  • view more

110Lumen per watt LED Pendant lamp 110W IP66 With adjustable bracket, GS, CE, DLC cetificated

Price: Negotiable Get Latest Price
  • Brand Name: MF
  • Model Number: MF-GS100
  • Minimum Order Quantity: 100PCS
  • Delivery Time: Depends on orders
  • view more

Ming Feng Lighting Co.,Ltd.

Dongguan ,Guangdong

  • 13YRS
  • Verified Supplier

App Smart Graffiti Creative Desk Lamp LED Atmosphere Light Work Reading Bedside Night Light

Price: Negotiable Get Latest Price
  • Brand Name: Phenson
  • Model Number: LED atmosphere desk lamp
  • Minimum Order Quantity: 5pcs
  • Delivery Time: Negotiable
  • view more

Phenson Lighting Tech.,Ltd

Shenzhen ,Guangdong

  • 10YRS
  • Verified Supplier

Brass Adjustable Led Hanging Kit Cable Gripper Steel Wire Rope Ceiling Cable Clip for Pendant Lamp

Price: $0.39-0.45 Get Latest Price
  • Brand Name: Meiyan
  • Model Number: CABEL GRIPPER
  • Minimum Order Quantity: 500
  • Delivery Time: Negotiable
  • view more

No Strobe 2835 SMD Pendant Lamp G9 4W 2700K 400lm Bulb

Price: USD0.70-USD0.90 Get Latest Price
  • Brand Name: Filamentlux
  • Model Number: FML-003
  • Minimum Order Quantity: 3000PCS
  • Delivery Time: 20-25days
  • view more

Nickel / Chrome Light Hanging Kit Accessories , Quick Mounting Pendant Lamp Kit

Price: Negotiation Get Latest Price
  • Brand Name: W-mate
  • Model Number: CLS-112
  • Minimum Order Quantity: 1000pcs
  • Delivery Time: 10-15Work Days
  • view more

Soft Decoration Ornament Nordic Creative Art Deco Ceramic Vase with Geometric Design

Price: $6.90/pieces 10-49 pieces Get Latest Price
  • Brand Name: Selead
  • Model Number: Tchp1
  • Minimum Order Quantity: 10 pieces
  • Delivery Time: Negotiable
  • view more